Index: app/helpers/issues_helper.rb
===================================================================
--- app/helpers/issues_helper.rb	(revision 27071)
+++ app/helpers/issues_helper.rb	(revision 27112)
@@ -69,6 +69,9 @@
     when 'attr'
       label = l(("field_" + detail.prop_key.to_s.gsub(/\_id$/, "")).to_sym)   
       case detail.prop_key
+      when 'author_id'
+        u = Principal.find_by_id(detail.value) and value = u.name if detail.value
+        u = Principal.find_by_id(detail.old_value) and old_value = u.name if detail.old_value
       when 'due_date', 'start_date'
         value = format_date(detail.value.to_date) if detail.value
         old_value = format_date(detail.old_value.to_date) if detail.old_value
Index: app/views/issues/show.rhtml
===================================================================
--- app/views/issues/show.rhtml	(revision 27071)
+++ app/views/issues/show.rhtml	(revision 27112)
@@ -6,7 +6,7 @@
         <%= avatar(@issue.author, :size => "50") %>
         <h3><%=h @issue.subject %></h3>
         <p class="author">
-        <%= authoring @issue.created_on, @issue.author %>.
+        <%= l(:label_added_time, time_tag(@issue.created_on)) %>.
         <% if @issue.created_on != @issue.updated_on %>
         <%= l(:label_updated_time, time_tag(@issue.updated_on)) %>.
         <% end %>
@@ -14,6 +14,9 @@
 
 <table class="attributes">
 <tr>
+    <th class="author"><%=l(:field_author)%>:</th><td class="author"><%= avatar(@issue.author, :size => "14") %><%= @issue.author ? link_to_user(@issue.author) : "-" %></td>
+</tr>
+<tr>
     <th class="status"><%=l(:field_status)%>:</th><td class="status"><%= @issue.status.name %></td>
     <th class="start-date"><%=l(:field_start_date)%>:</th><td class="start-date"><%= format_date(@issue.start_date) %></td>
 </tr>
Index: app/views/issues/_attributes.rhtml
===================================================================
--- app/views/issues/_attributes.rhtml	(revision 27071)
+++ app/views/issues/_attributes.rhtml	(revision 27112)
@@ -2,6 +2,9 @@
 
 <div class="splitcontentleft">
 <% if @issue.new_record? || @allowed_statuses.any? %>
+<% if User.current.allowed_to?(:edit_issue_author, @project) %>
+<p><%= f.select :author_id, (@issue.assignable_users.collect {|m| [m.name, m.id]}), :include_blank => false, :required => true %></p>
+<% end %>
 <p><%= f.select :status_id, (@allowed_statuses.collect {|p| [p.name, p.id]}), :required => true %></p>
 <% else %>
 <p><label><%= l(:field_status) %></label> <%= @issue.status.name %></p>
Index: config/locales/en.yml
===================================================================
--- config/locales/en.yml	(revision 27071)
+++ config/locales/en.yml	(revision 27112)
@@ -198,7 +198,7 @@
   field_filename: File
   field_filesize: Size
   field_downloads: Downloads
-  field_author: Author
+  field_author: Responsible
   field_created_on: Created
   field_updated_on: Updated
   field_field_format: Format
@@ -353,6 +353,7 @@
   permission_add_issue_notes: Add notes
   permission_edit_issue_notes: Edit notes
   permission_edit_own_issue_notes: Edit own notes
+  permission_edit_issue_author: Edit author
   permission_move_issues: Move issues
   permission_delete_issues: Delete issues
   permission_manage_public_queries: Manage public queries
@@ -694,6 +695,7 @@
   label_feeds_access_key_created_on: "RSS access key created {{value}} ago"
   label_module_plural: Modules
   label_added_time_by: "Added by {{author}} {{age}} ago"
+  label_added_time: "Added {{value}} ago"
   label_updated_time_by: "Updated by {{author}} {{age}} ago"
   label_updated_time: "Updated {{value}} ago"
   label_jump_to_a_project: Jump to a project...
Index: config/locales/sk.yml
===================================================================
--- config/locales/sk.yml	(revision 27071)
+++ config/locales/sk.yml	(revision 27112)
@@ -179,7 +179,7 @@
   field_filename: Súbor
   field_filesize: Veľkosť
   field_downloads: Stiahnuté
-  field_author: Autor
+  field_author: Zodpovedný
   field_created_on: Vytvorené
   field_updated_on: Aktualizované
   field_field_format: Formát
@@ -567,6 +567,7 @@
   label_feeds_access_key_created_on: "Prístupový klúč pre RSS bol vytvorený pred {{value}}"
   label_module_plural: Moduly
   label_added_time_by: "Pridané užívateľom {{author}} pred {{age}}"
+  label_added_time: "Pridané pred {{value}}"
   label_updated_time: "Aktualizované pred {{value}}"
   label_jump_to_a_project: Zvoliť projekt...
   label_file_plural: Súbory
@@ -774,6 +775,7 @@
   permission_rename_wiki_pages: Premenovanie Wiki strániek
   permission_edit_time_entries: Úprava záznamov o strávenom čase
   permission_edit_own_issue_notes: Úprava vlastných poznámok úlohy
+  permission_edit_issue_author: Úprava autora
   setting_gravatar_enabled: Použitie užívateľských Gravatar ikon
   permission_edit_own_messages: Úprava vlastných správ
   permission_delete_own_messages: Mazanie vlastných správ
Index: lib/redmine.rb
===================================================================
--- lib/redmine.rb	(revision 27071)
+++ lib/redmine.rb	(revision 27112)
@@ -49,6 +49,7 @@
     map.permission :add_issue_notes, {:issues => [:edit, :reply]}
     map.permission :edit_issue_notes, {:journals => :edit}, :require => :loggedin
     map.permission :edit_own_issue_notes, {:journals => :edit}, :require => :loggedin
+    map.permission :edit_issue_author, {}
     map.permission :move_issues, {:issues => :move}, :require => :loggedin
     map.permission :delete_issues, {:issues => :destroy}, :require => :member
     # Queries
